using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace PolygonTest
{
    public partial class SpeedTest: Form
    {
        private List<Polygon> polygons = null;
        public SpeedTest(List<Polygon> polygons)
        {
            InitializeComponent();
            this.polygons = polygons;
        }

        private void buttonTest_Click(object sender, EventArgs e)
        {
            text.AppendText("testing... ");
            DateTime start = DateTime.Now;

            for(int i = 0; i < polygons.Count; i++) {
                Polygon.NextPolygon(polygons, i, Keys.Up);
                Polygon.NextPolygon(polygons, i, Keys.Down);
                Polygon.NextPolygon(polygons, i, Keys.Left);
                Polygon.NextPolygon(polygons, i, Keys.Right);
            }

            TimeSpan elapsed = DateTime.Now - start;
            text.AppendText("elapsed: " + elapsed.TotalMilliseconds + " ms\r\n");
        }
    }
}